SolarWinds DameWare Mini Remote Control < 12.1.1 Denial of Service

high Nessus Plugin ID 140041

Synopsis

The remote host is running a remote management application that is affected by multiple vulnerabilities.

Description

The remote host is running a version of SolarWinds DameWare Mini Remote Control prior to 12.1.1. It is, therefore, affected by a denial of service vulnerability. A classic buffer overflow allows a remote, unauthenticated attacker to cause a denial of service by sending a large 'SigPubkeyLen' during ECDH key exchange.

Solution

Upgrade to SolarWinds DameWare Mini Remote Control v12.1.1 or later.

See Also

http://www.nessus.org/u?76b78a79

Plugin Details

Severity: High

ID: 140041

File Name: solarwinds_dameware_mrc_12_1_1.nasl

Version: 1.4

Type: local

Agent: windows

Family: Windows

Published: 8/28/2020

Updated: 1/26/2022

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Temporal Score: 3.2

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2020-5734

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: x-cpe:/a:solarwinds:dameware_mini_remote_control

Required KB Items: installed_sw/SolarWinds DameWare Mini Remote Control

Exploit Ease: No known exploits are available

Patch Publication Date: 4/7/2020

Vulnerability Publication Date: 4/7/2020

Reference Information

CVE: CVE-2020-5734

IAVA: 2020-A-0392-S